%%
%solves the system of equations described in hw3_prob3_hint_fun.m, 
%for time from 0 to 2, with initial condition X(0)=0.5, Y(0)=0.5
%%
% closes all windows, deletes all variables, clears the terminal
close all; clear; clc;  

time_interval = [0 2];

initial_condition = [0.5 0.5];

%inputs to ode45: function name, time interval, initial conditions
[t,output]=ode45(@hw2_prob3_hint_fun,time_interval,initial_condition);

%saves the output into X and Y (mainly for book keeping purposes)
X = output(:,1);
Y = output(:,2);

%% Plotting the output of ode45
% plots X and Y against time
figure(1)
plot(t,X,'-','linewidth',1.5)
hold on;
plot(t,Y,'--','linewidth',1.5)
xlabel('t')
ylabel('Output')
legend('X(t)','Y(t)')
set(gca,'fontsize',16)

% plots the X,Y-phase plane
figure(2)
plot(X,Y,'linewidth',1.5,'color','black')
xlabel('X(t)')
ylabel('Y(t)')
set(gca,'fontsize',16)

